<?xml version="1.0" encoding="UTF-8" ?>
<html f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd" lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers">
<head>
    <title>CourseregistrationForm: ShowCompanyCourseregistrationForm</title>
</head>

<body>

<f:layout name="Default"/>
<f:section name="main">
    <div>
        <f:if condition="{Error}!=1">
            <f:then>
                <f:if condition="{number_subscriber}">
                    <f:then>
                        <f:form action="send" class="o-form" id="courseregistrationform" method="post"
                                name="courseregistrationform">
                            <f:form.hidden name="course_event_id" value="{course_event_id}"/>

                            <f:render arguments="{aCourseData: courseData}"
                                      partial="CourseregistrationForm/CourseData"/>

                            <!-- Formular Person Beginn -->
                            <section class="tx-drk-courseregistrationform-person">
                                <f:render arguments="{prefix_array: prefix_array, title_array: title_array, aShowFields: aShowFields, renderMandatory: 1}"
                                          partial="CourseregistrationForm/PersonData"/>
                                <f:if condition="{bPayingCash}">
                                    <f:then>
                                        <f:if condition="{payCashText} != ''">
                                            <div class="o-form__item t-medium-24 columns is-last-in-row">
                                                <header class="header">
                                                    <h4 class="courseregistrationform">Hinweis zur Zahlung</h4>
                                                </header>
                                                <p>
                                                    <f:format.raw>{payCashText}</f:format.raw>
                                                </p>
                                            </div>
                                        </f:if>
                                    </f:then>
                                    <f:else>
                                        <f:if condition="{bPayPal} == 0">
                                            <f:then>
                                                <f:render arguments="{aCourseData: courseData}"
                                                          partial="CourseregistrationForm/Payment"/>
                                            </f:then>
                                        </f:if>
                                    </f:else>
                                </f:if>
                            </section>
                            <!-- Formular Person Ende -->

                            <f:if condition="{terms_url} != ''">
                                <f:render arguments="{terms_url: terms_url}" partial="CourseregistrationForm/Agb"/>
                            </f:if>

                            <f:if condition="{aShowFields.EmailDeclassification}">
                                <f:render partial="CourseregistrationForm/AdditionalInformation"/>
                            </f:if>
                            <f:if condition="{privacy_url} != ''">
                                <f:render arguments="{privacy_url: privacy_url}"
                                          partial="CourseregistrationForm/Privacy"/>
                            </f:if>

                            <f:if condition="{bPayPal}">
                                <f:then>
                                    <f:render arguments="{aCourseData: courseData, settings: settings}"
                                              partial="CourseregistrationForm/PaypalPayment"/>
                                    <f:if condition="{settings.Paypal.Only} == 0">
                                        <f:render partial="CourseregistrationForm/Submit"/>
                                    </f:if>
                                </f:then>
                                <f:else>
                                    <f:render partial="CourseregistrationForm/Submit"/>
                                </f:else>
                            </f:if>
                        </f:form>
                        <div class="modal tx-drk-courseregistrationform-send-modal">
                            <header class="header">
                                <h3 class="o-form__section-headline">Vielen Dank,</br> Ihre Anmeldung wird verarbeitet.</h3>
                            </header>
                        </div>
                    </f:then>
                    <f:else>
                        <p>{sOverbookingForbiddenMessage}</p>
                        <p style="margin-top: 1em"><input class="button o-btn" name="back_button" onClick="javascript:history.back(1)"
                                                          type="button" value="Zurück"></p>
                    </f:else>
                </f:if>
            </f:then>
            <f:else>
                <div class="min-content-width">
                <p>
                    <strong>Fehlermeldung</strong></br>
                    <f:for as="error_value" each="{errorMessages}" key="error_key">
                        {error_value}
                    </f:for>
                </p>
                <p style="margin-top: 1em"><input class="button o-btn" name="back_button" onClick="javascript:history.back(1)" type="button"
                                                  value="Zurück"></p>
                </div>
            </f:else>
        </f:if>
    </div>
</f:section>
</body>
</html>
